Bug 1074825 - (CVE-2014-2286) CVE-2014-2286 asterisk: cookie processing stack overflow (AST-2014-001)
CVE-2014-2286 asterisk: cookie processing stack overflow (AST-2014-001)
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20140214,repo...
: Security
Depends On: 1074828 1074829
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-11 00:56 EDT by Murray McAllister
Modified: 2015-07-31 03:16 EDT (History)
5 users (show)

See Also:
Fixed In Version: asterisk 1.8.26.1, asterisk 11.8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-03-11 00:56:32 EDT
A stack overflow flaw was found in Asterisk's cookie processing. A remote attacker could send specially-crafted requests that would cause Asterisk to consume a large amount of memory, crash, or, potentially, execute arbitrary code. This issue affected all 1.8.x and 11.x versions. It has been corrected in versions 1.8.26.1 and 11.8.1.

Upstream patches:
http://downloads.asterisk.org/pub/security/AST-2014-001-1.8.diff
http://downloads.asterisk.org/pub/security/AST-2014-001-11.diff

External References:
http://downloads.asterisk.org/pub/security/AST-2014-001.html
Comment 1 Murray McAllister 2014-03-11 01:00:03 EDT
Created asterisk tracking bugs for this issue:

Affects: fedora-all [bug 1074828]
Affects: epel-6 [bug 1074829]
Comment 2 Fedora Update System 2014-03-21 05:29:20 EDT
asterisk-11.8.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2014-03-21 05:35:56 EDT
asterisk-11.8.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2014-03-30 14:48:37 EDT
asterisk-1.8.26.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.